package feature.service;

import redis.clients.jedis.Jedis;
import redis.clients.jedis.Pipeline;

import java.util.Map;
import java.util.concurrent.TimeUnit;

/**
 * https://help.aliyun.com/zh/maxcompute/user-guide/java-sdk-1/?spm=a2c4g.11174283.0.0.6d0111c1E15lI3
 *
 * @author dyp
 */
public class RedisService {
    private int port = 6379;
    private String password = "Wqsd@2019";
    private String hostName = "r-bp1wwqqkjqwwkxgbup.redis.rds.aliyuncs.com";

    public void mSetEx(Map<String, String> keyValues, long expire, TimeUnit timeUnit) {
        Jedis jedis = new Jedis(hostName, port);
        jedis.auth(password);
        Pipeline pipeline = jedis.pipelined();
        keyValues.entrySet().forEach(e -> {
            pipeline.setex(e.getKey(), timeUnit.toSeconds(expire), e.getValue());
        });
        pipeline.sync();
        jedis.close();
    }
}